class SelectTaskKycResponse {
  bool? success;
  List<Tasks>? tasks;

  SelectTaskKycResponse({this.success, this.tasks});

  SelectTaskKycResponse.fromJson(Map<String, dynamic> json) {
    success = json['success'];
    if (json['tasks'] != null) {
      tasks = <Tasks>[];
      json['tasks'].forEach((v) {
        tasks!.add(new Tasks.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['success'] = this.success;
    if (this.tasks != null) {
      data['tasks'] = this.tasks!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Tasks {
  String? sId;
  String? taskId;
  String? task;
  String? note;
  String? taskStatus;
  String? taskPriority;
  String? taskDueDate;
  String? taskAssignedTo;
  String? taskAssignedBy;
  String? createdAt;
  String? updatedAt;
  int? iV;

  Tasks(
      {this.sId,
        this.taskId,
        this.task,
        this.note,
        this.taskStatus,
        this.taskPriority,
        this.taskDueDate,
        this.taskAssignedTo,
        this.taskAssignedBy,
        this.createdAt,
        this.updatedAt,
        this.iV});

  Tasks.fromJson(Map<String, dynamic> json) {
    sId = json['_id'];
    taskId = json['taskId'];
    task = json['task'];
    note = json['note'];
    taskStatus = json['taskStatus'];
    taskPriority = json['taskPriority'];
    taskDueDate = json['taskDueDate'];
    taskAssignedTo = json['taskAssignedTo'];
    taskAssignedBy = json['taskAssignedBy'];
    createdAt = json['createdAt'];
    updatedAt = json['updatedAt'];
    iV = json['__v'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['_id'] = this.sId;
    data['taskId'] = this.taskId;
    data['task'] = this.task;
    data['note'] = this.note;
    data['taskStatus'] = this.taskStatus;
    data['taskPriority'] = this.taskPriority;
    data['taskDueDate'] = this.taskDueDate;
    data['taskAssignedTo'] = this.taskAssignedTo;
    data['taskAssignedBy'] = this.taskAssignedBy;
    data['createdAt'] = this.createdAt;
    data['updatedAt'] = this.updatedAt;
    data['__v'] = this.iV;
    return data;
  }
}
